"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.injectStyles = injectStyles;

var t = _interopRequireWildcard(require("@babel/types"));

var _traverse = _interopRequireDefault(require("@babel/traverse"));

var _addImport = require("./add-import");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

// Packages
// Ours
function injectStyles(program, stylesVariableId, styles) {
  // Use StyleSheet.create
  // => const styles = StyleSheet.create({...})
  const stylesheet = t.variableDeclaration('const', [t.variableDeclarator(stylesVariableId, t.callExpression(t.memberExpression((0, _addImport.importStyleSheet)(program), t.identifier('create')), [t.valueToNode(styles)]))]); // Handle Rem values

  (0, _traverse.default)(stylesheet, {
    noScope: true,
    StringLiteral: path => {
      // Replace Rem values with function calls
      if (path.node.value.match(/rem/)) {
        const remValue = parseFloat(path.node.value.replace(/rem|\(|\)/g, ''));
        path.replaceWith(t.callExpression((0, _addImport.importUtil)(program, 'rem'), [t.numericLiteral(remValue)]));
      }
    }
  }); // Create stylesheet
  // => const styles = StyleSheet.create({...})

  program.unshiftContainer('body', stylesheet);
}
//# sourceMappingURL=inject-styles.js.map