"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.borderRadius = void 0;

var _merge = require("../utils/merge");

var _id = require("../utils/id");

// Ours
const borderRadius = theme => {
  const sizes = Object.keys(theme.borderRadius);
  const rounded = sizes.map(key => ({
    [(0, _id.id)('rounded', key)]: {
      borderRadius: theme.borderRadius[key]
    }
  })).reduce(_merge.merge, {});
  const roundedT = sizes.map(key => ({
    [(0, _id.id)('rounded-t', key)]: {
      borderTopLeftRadius: theme.borderRadius[key],
      borderTopRightRadius: theme.borderRadius[key]
    }
  })).reduce(_merge.merge, {});
  const roundedR = sizes.map(key => ({
    [(0, _id.id)('rounded-r', key)]: {
      borderTopRightRadius: theme.borderRadius[key],
      borderBottomRightRadius: theme.borderRadius[key]
    }
  })).reduce(_merge.merge, {});
  const roundedB = sizes.map(key => ({
    [(0, _id.id)('rounded-b', key)]: {
      borderBottomRightRadius: theme.borderRadius[key],
      borderBottomLeftRadius: theme.borderRadius[key]
    }
  })).reduce(_merge.merge, {});
  const roundedL = sizes.map(key => ({
    [(0, _id.id)('rounded-l', key)]: {
      borderTopLeftRadius: theme.borderRadius[key],
      borderBottomLeftRadius: theme.borderRadius[key]
    }
  })).reduce(_merge.merge, {});
  const roundedTS = sizes.map(key => ({
    [(0, _id.id)('rounded-ts', key)]: {
      borderTopStartRadius: theme.borderRadius[key]
    }
  })).reduce(_merge.merge, {});
  const roundedTE = sizes.map(key => ({
    [(0, _id.id)('rounded-te', key)]: {
      borderTopEndRadius: theme.borderRadius[key]
    }
  })).reduce(_merge.merge, {});
  const roundedTL = sizes.map(key => ({
    [(0, _id.id)('rounded-tl', key)]: {
      borderTopLeftRadius: theme.borderRadius[key]
    }
  })).reduce(_merge.merge, {});
  const roundedTR = sizes.map(key => ({
    [(0, _id.id)('rounded-tr', key)]: {
      borderTopRightRadius: theme.borderRadius[key]
    }
  })).reduce(_merge.merge, {});
  const roundedBR = sizes.map(key => ({
    [(0, _id.id)('rounded-br', key)]: {
      borderBottomRightRadius: theme.borderRadius[key]
    }
  })).reduce(_merge.merge, {});
  const roundedBL = sizes.map(key => ({
    [(0, _id.id)('rounded-bl', key)]: {
      borderBottomLeftRadius: theme.borderRadius[key]
    }
  })).reduce(_merge.merge, {});
  return [rounded, roundedT, roundedB, roundedL, roundedR, roundedTL, roundedTR, roundedBL, roundedBR, roundedTS, roundedTE].reduce(_merge.merge, {});
};

exports.borderRadius = borderRadius;
//# sourceMappingURL=borderRadius.js.map