"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.borderWidth = void 0;

var _merge = require("../utils/merge");

var _id = require("../utils/id");

// Ours
const borderWidth = theme => {
  const sizes = Object.keys(theme.borderWidth);
  const border = sizes.map(key => ({
    [(0, _id.id)('border', key)]: {
      borderWidth: theme.borderWidth[key]
    }
  })).reduce(_merge.merge, {});
  const borderT = sizes.map(key => ({
    [(0, _id.id)('border-t', key)]: {
      borderTopWidth: theme.borderWidth[key]
    }
  })).reduce(_merge.merge, {});
  const borderL = sizes.map(key => ({
    [(0, _id.id)('border-l', key)]: {
      borderLeftWidth: theme.borderWidth[key]
    }
  })).reduce(_merge.merge, {});
  const borderR = sizes.map(key => ({
    [(0, _id.id)('border-r', key)]: {
      borderRightWidth: theme.borderWidth[key]
    }
  })).reduce(_merge.merge, {});
  const borderB = sizes.map(key => ({
    [(0, _id.id)('border-b', key)]: {
      borderBottomWidth: theme.borderWidth[key]
    }
  })).reduce(_merge.merge, {});
  const borderS = sizes.map(key => ({
    [(0, _id.id)('border-s', key)]: {
      borderStartWidth: theme.borderWidth[key]
    }
  })).reduce(_merge.merge, {});
  const borderE = sizes.map(key => ({
    [(0, _id.id)('border-e', key)]: {
      borderEndWidth: theme.borderWidth[key]
    }
  })).reduce(_merge.merge, {});
  return [border, borderT, borderL, borderR, borderB, borderS, borderE].reduce(_merge.merge, {});
};

exports.borderWidth = borderWidth;
//# sourceMappingURL=borderWidth.js.map