"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.margin = void 0;

var _merge = require("../utils/merge");

var _id = require("../utils/id");

// Ours
const margin = theme => {
  const sizes = Object.keys(theme.margin);
  const m = sizes.map(size => ({
    [(0, _id.id)('m', size)]: {
      margin: theme.margin[size]
    }
  })).reduce(_merge.merge, {});
  const mt = sizes.map(size => ({
    [(0, _id.id)('mt', size)]: {
      marginTop: theme.margin[size]
    }
  })).reduce(_merge.merge, {});
  const ml = sizes.map(size => ({
    [(0, _id.id)('ml', size)]: {
      marginLeft: theme.margin[size]
    }
  })).reduce(_merge.merge, {});
  const mr = sizes.map(size => ({
    [(0, _id.id)('mr', size)]: {
      marginRight: theme.margin[size]
    }
  })).reduce(_merge.merge, {});
  const mb = sizes.map(size => ({
    [(0, _id.id)('mb', size)]: {
      marginBottom: theme.margin[size]
    }
  })).reduce(_merge.merge, {});
  const ms = sizes.map(size => ({
    [(0, _id.id)('ms', size)]: {
      marginStart: theme.margin[size]
    }
  })).reduce(_merge.merge, {});
  const me = sizes.map(size => ({
    [(0, _id.id)('me', size)]: {
      marginEnd: theme.margin[size]
    }
  })).reduce(_merge.merge, {});
  const mx = sizes.map(size => ({
    [(0, _id.id)('mx', size)]: {
      marginHorizontal: theme.margin[size]
    }
  })).reduce(_merge.merge, {});
  const my = sizes.map(size => ({
    [(0, _id.id)('my', size)]: {
      marginVertical: theme.margin[size]
    }
  })).reduce(_merge.merge, {});
  return [m, mt, ml, mr, mb, ms, me, mx, my].reduce(_merge.merge, {});
};

exports.margin = margin;
//# sourceMappingURL=margin.js.map