"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.padding = void 0;

var _merge = require("../utils/merge");

var _id = require("../utils/id");

// Ours
const padding = theme => {
  const sizes = Object.keys(theme.padding);
  const p = sizes.map(size => ({
    [(0, _id.id)('p', size)]: {
      padding: theme.padding[size]
    }
  })).reduce(_merge.merge, {});
  const pt = sizes.map(size => ({
    [(0, _id.id)('pt', size)]: {
      paddingTop: theme.padding[size]
    }
  })).reduce(_merge.merge, {});
  const pl = sizes.map(size => ({
    [(0, _id.id)('pl', size)]: {
      paddingLeft: theme.padding[size]
    }
  })).reduce(_merge.merge, {});
  const pr = sizes.map(size => ({
    [(0, _id.id)('pr', size)]: {
      paddingRight: theme.padding[size]
    }
  })).reduce(_merge.merge, {});
  const pb = sizes.map(size => ({
    [(0, _id.id)('pb', size)]: {
      paddingBottom: theme.padding[size]
    }
  })).reduce(_merge.merge, {});
  const ps = sizes.map(size => ({
    [(0, _id.id)('ps', size)]: {
      paddingStart: theme.padding[size]
    }
  })).reduce(_merge.merge, {});
  const pe = sizes.map(size => ({
    [(0, _id.id)('pe', size)]: {
      paddingEnd: theme.padding[size]
    }
  })).reduce(_merge.merge, {});
  const px = sizes.map(size => ({
    [(0, _id.id)('px', size)]: {
      paddingHorizontal: theme.padding[size]
    }
  })).reduce(_merge.merge, {});
  const py = sizes.map(size => ({
    [(0, _id.id)('py', size)]: {
      paddingVertical: theme.padding[size]
    }
  })).reduce(_merge.merge, {});
  return [p, pt, pl, pr, pb, ps, pe, px, py].reduce(_merge.merge, {});
};

exports.padding = padding;
//# sourceMappingURL=padding.js.map