"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.rotate = void 0;

var _merge = require("../utils/merge");

var _id = require("../utils/id");

// Packages
// Ours
const rotate = theme => {
  const sizes = Object.keys(theme.rotate);
  const x = sizes.map(key => ({
    [(0, _id.id)('rotate-x', key)]: {
      transform: [{
        rotateX: theme.rotate[key]
      }]
    }
  })).reduce(_merge.merge, {});
  const y = sizes.map(key => ({
    [(0, _id.id)('rotate-y', key)]: {
      transform: [{
        rotateY: theme.rotate[key]
      }]
    }
  })).reduce(_merge.merge, {});
  const z = sizes.map(key => ({
    [(0, _id.id)('rotate-z', key)]: {
      transform: [{
        rotateZ: theme.rotate[key]
      }]
    }
  })).reduce(_merge.merge, {});
  const xy = sizes.map(key => ({
    [(0, _id.id)('rotate', key)]: {
      transform: [{
        rotate: theme.rotate[key]
      }]
    }
  })).reduce(_merge.merge, {});
  return [x, y, z, xy].reduce(_merge.merge, {});
};

exports.rotate = rotate;
//# sourceMappingURL=rotate.js.map