"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.scale = void 0;

var _merge = require("../utils/merge");

var _id = require("../utils/id");

// Packages
// Ours
const scale = theme => {
  const sizes = Object.keys(theme.scale);
  const x = sizes.map(key => ({
    [(0, _id.id)('scale-x', key)]: {
      transform: [{
        scaleX: theme.scale[key]
      }]
    }
  })).reduce(_merge.merge, {});
  const y = sizes.map(key => ({
    [(0, _id.id)('scale-y', key)]: {
      transform: [{
        scaleY: theme.scale[key]
      }]
    }
  })).reduce(_merge.merge, {});
  const xy = sizes.map(key => ({
    [(0, _id.id)('scale', key)]: {
      transform: [{
        scale: theme.scale[key]
      }]
    }
  })).reduce(_merge.merge, {});
  return [x, y, xy].reduce(_merge.merge, {});
};

exports.scale = scale;
//# sourceMappingURL=scale.js.map