"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.skew = void 0;

var _merge = require("../utils/merge");

var _id = require("../utils/id");

// Packages
// Ours
const skew = theme => {
  const sizes = Object.keys(theme.skew);
  const x = sizes.map(key => ({
    [(0, _id.id)('skew-x', key)]: {
      transform: [{
        skewX: theme.skew[key]
      }]
    }
  })).reduce(_merge.merge, {});
  const y = sizes.map(key => ({
    [(0, _id.id)('skew-y', key)]: {
      transform: [{
        skewY: theme.skew[key]
      }]
    }
  })).reduce(_merge.merge, {});
  return [x, y].reduce(_merge.merge, {});
};

exports.skew = skew;
//# sourceMappingURL=skew.js.map