"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.translate = void 0;

var _merge = require("../utils/merge");

var _id = require("../utils/id");

// Packages
// Ours
const translate = theme => {
  const sizes = Object.keys(theme.translate);
  const x = sizes.map(key => ({
    [(0, _id.id)('translate-x', key)]: {
      transform: [{
        translateX: theme.translate[key]
      }]
    }
  })).reduce(_merge.merge, {});
  const y = sizes.map(key => ({
    [(0, _id.id)('translate-y', key)]: {
      transform: [{
        translateY: theme.translate[key]
      }]
    }
  })).reduce(_merge.merge, {});
  return [x, y].reduce(_merge.merge, {});
};

exports.translate = translate;
//# sourceMappingURL=translate.js.map