"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.rem = exports.negative = void 0;

const negative = styles => {
  const newStyles = {};
  Object.keys(styles).forEach(key => {
    const unit = styles[key]; // The value always a number except when using rem on Web.

    newStyles['-' + key] = typeof unit === 'string' ? '-' + unit : -1 * unit;
  });
  return newStyles;
}; // All Rem values will be replaced with a function call during build


exports.negative = negative;

const rem = num => "rem(".concat(num, ")");

exports.rem = rem;
//# sourceMappingURL=utils.js.map