"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getOrderedTokens = getOrderedTokens;

var _defaultVariant = require("./defaultVariant");

var _extractTokenInfo = require("./extractTokenInfo");

// Ours

/**
 * Transform given `tokens` string to a list of tokens. The list of
 * tokens is ordered such that default variant styles always applied
 * first.
 */
function getOrderedTokens(tokens) {
  const compareByVariant = (a, b) => {
    const isDefaultA = (0, _defaultVariant.isDefaultVariant)((0, _extractTokenInfo.extractTokenInfo)(a).variant);
    const isDefaultB = (0, _defaultVariant.isDefaultVariant)((0, _extractTokenInfo.extractTokenInfo)(b).variant);
    return isDefaultA && !isDefaultB ? -1 // A comes first
    : !isDefaultA && isDefaultB ? 1 // B comes first
    : 0; // Keep the same order
  };

  return Array.from(tokens).sort(compareByVariant);
}
//# sourceMappingURL=getOrderedTokens.js.map