"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reduce = void 0;

var _merge = require("./merge");

// Ours

/**
 * Merging two or more consecutive styles/props into one if they
 * belong to the same variant
 */
const reduce = TokenInfos => TokenInfos.reduce((combined, next) => {
  const current = combined.pop(); // Flattening is not possible

  if (current && current.variant !== next.variant) {
    return [...combined, current, next];
  }

  next = { ...current,
    ...next,
    style: (0, _merge.merge)(current === null || current === void 0 ? void 0 : current.style, next.style)
  };
  return [...combined, next];
}, []);

exports.reduce = reduce;
//# sourceMappingURL=reduce.js.map