"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useWindowVariant = exports.BREAKPOINTS = void 0;

var _react = require("react");

var _reactNative = require("react-native");

// Packages
const BREAKPOINTS = {
  sm: 640,
  md: 768,
  lg: 1024,
  xl: 1280
};
exports.BREAKPOINTS = BREAKPOINTS;

const useWindowVariant = breakpoints => {
  const {
    width
  } = (0, _reactNative.useWindowDimensions)();
  return (0, _react.useMemo)(() => {
    var _sorted$find;

    // Descending order: xl, lg, md, sm
    const sorted = Object.entries(breakpoints || BREAKPOINTS).sort((b1, b2) => b2[1] - b1[1]);
    const variant = (_sorted$find = sorted.find(b => width >= b[1])) === null || _sorted$find === void 0 ? void 0 : _sorted$find[0];
    return variant ? {
      [variant]: true
    } : {};
  }, [width, breakpoints]);
};

exports.useWindowVariant = useWindowVariant;
//# sourceMappingURL=useWindowVariant.js.map