// Ours
import { merge } from './merge';
/**
 * Merging two or more consecutive styles/props into one if they
 * belong to the same variant
 */

export const reduce = TokenInfos => TokenInfos.reduce((combined, next) => {
  const current = combined.pop(); // Flattening is not possible

  if (current && current.variant !== next.variant) {
    return [...combined, current, next];
  }

  next = { ...current,
    ...next,
    style: merge(current === null || current === void 0 ? void 0 : current.style, next.style)
  };
  return [...combined, next];
}, []);
//# sourceMappingURL=reduce.js.map