// Ours
import { builtinVariants } from '../variants';
export const select = (styles, variantFlags) => {
  // Override built-in variants with user provided values but always
  // include default variant styles
  const flags = { ...builtinVariants,
    ...variantFlags,
    default: true
  }; // Check if a variant is enabled

  const isEnabled = variant => {
    return variant.split(':').map(v => flags[v]).every(Boolean);
  };

  const mergeStyles = (base, override) => {
    if (!base.style) {
      return [override.style];
    }

    if (Array.isArray(base.style)) {
      return [...base.style, override.style];
    }

    return [base.style, override.style];
  };

  return styles.filter(({
    variant
  }) => isEnabled(variant)).map(({
    variant: _,
    ...style
  }) => style).reduce((current, next) => ({ ...current,
    ...next,
    style: mergeStyles(current, next)
  }), {});
};
//# sourceMappingURL=select.js.map