// Packages
import { useMemo } from 'react';
import { useWindowDimensions } from 'react-native';
export const BREAKPOINTS = {
  sm: 640,
  md: 768,
  lg: 1024,
  xl: 1280
};
export const useWindowVariant = breakpoints => {
  const {
    width
  } = useWindowDimensions();
  return useMemo(() => {
    var _sorted$find;

    // Descending order: xl, lg, md, sm
    const sorted = Object.entries(breakpoints || BREAKPOINTS).sort((b1, b2) => b2[1] - b1[1]);
    const variant = (_sorted$find = sorted.find(b => width >= b[1])) === null || _sorted$find === void 0 ? void 0 : _sorted$find[0];
    return variant ? {
      [variant]: true
    } : {};
  }, [width, breakpoints]);
};
//# sourceMappingURL=useWindowVariant.js.map